com.amazonaws.services.codedeploy.model

## Class Diagnostics

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.Diagnostics

All Implemented Interfaces:
  Serializable, Cloneable

    public class Diagnostics
    extends Object
    implements Serializable, Cloneable

Diagnostic information about executable scripts that are part of a deployment.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Diagnostics()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Diagnostics` `clone()`
`boolean` `equals(Object obj)`
`String` `getErrorCode()` The associated error code:
`String` `getLogTail()` The last portion of the diagnostic log.
`String` `getMessage()` The message associated with the error.
`String` `getScriptName()` The name of the script.
`int` `hashCode()`
`void` `setErrorCode(LifecycleErrorCode errorCode)` The associated error code:
`void` `setErrorCode(String errorCode)` The associated error code:
`void` `setLogTail(String logTail)` The last portion of the diagnostic log.
`void` `setMessage(String message)` The message associated with the error.
`void` `setScriptName(String scriptName)` The name of the script.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Diagnostics` `withErrorCode(LifecycleErrorCode errorCode)` The associated error code:
`Diagnostics` `withErrorCode(String errorCode)` The associated error code:
`Diagnostics` `withLogTail(String logTail)` The last portion of the diagnostic log.
`Diagnostics` `withMessage(String message)` The message associated with the error.
`Diagnostics` `withScriptName(String scriptName)` The name of the script.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Diagnostics

    public Diagnostics()

### Method Detail

#### setErrorCode

    public void setErrorCode(String errorCode)

The associated error code:

- Success: The specified script ran.

- ScriptMissing: The specified script was not found in the specified location.

- ScriptNotExecutable: The specified script is not a recognized executable file type.

- ScriptTimedOut: The specified script did not finish running in the specified time period.

- ScriptFailed: The specified script failed to run as expected.

- UnknownError: The specified script did not run for an unknown reason.

Parameters:
  `errorCode` - The associated error code:

  - Success: The specified script ran.

  - ScriptMissing: The specified script was not found in the specified location.

  - ScriptNotExecutable: The specified script is not a recognized executable file type.

  - ScriptTimedOut: The specified script did not finish running in the specified time period.

  - ScriptFailed: The specified script failed to run as expected.

  - UnknownError: The specified script did not run for an unknown reason.

See Also:
  `LifecycleErrorCode`

#### getErrorCode

    public String getErrorCode()

The associated error code:

- Success: The specified script ran.

- ScriptMissing: The specified script was not found in the specified location.

- ScriptNotExecutable: The specified script is not a recognized executable file type.

- ScriptTimedOut: The specified script did not finish running in the specified time period.

- ScriptFailed: The specified script failed to run as expected.

- UnknownError: The specified script did not run for an unknown reason.

Returns:
  The associated error code:

  - Success: The specified script ran.

  - ScriptMissing: The specified script was not found in the specified location.

  - ScriptNotExecutable: The specified script is not a recognized executable file type.

  - ScriptTimedOut: The specified script did not finish running in the specified time period.

  - ScriptFailed: The specified script failed to run as expected.

  - UnknownError: The specified script did not run for an unknown reason.

See Also:
  `LifecycleErrorCode`

#### withErrorCode

    public Diagnostics withErrorCode(String errorCode)

The associated error code:

- Success: The specified script ran.

- ScriptMissing: The specified script was not found in the specified location.

- ScriptNotExecutable: The specified script is not a recognized executable file type.

- ScriptTimedOut: The specified script did not finish running in the specified time period.

- ScriptFailed: The specified script failed to run as expected.

- UnknownError: The specified script did not run for an unknown reason.

Parameters:
  `errorCode` - The associated error code:

  - Success: The specified script ran.

  - ScriptMissing: The specified script was not found in the specified location.

  - ScriptNotExecutable: The specified script is not a recognized executable file type.

  - ScriptTimedOut: The specified script did not finish running in the specified time period.

  - ScriptFailed: The specified script failed to run as expected.

  - UnknownError: The specified script did not run for an unknown reason.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LifecycleErrorCode`

#### setErrorCode

    public void setErrorCode(LifecycleErrorCode errorCode)

The associated error code:

- Success: The specified script ran.

- ScriptMissing: The specified script was not found in the specified location.

- ScriptNotExecutable: The specified script is not a recognized executable file type.

- ScriptTimedOut: The specified script did not finish running in the specified time period.

- ScriptFailed: The specified script failed to run as expected.

- UnknownError: The specified script did not run for an unknown reason.

Parameters:
  `errorCode` - The associated error code:

  - Success: The specified script ran.

  - ScriptMissing: The specified script was not found in the specified location.

  - ScriptNotExecutable: The specified script is not a recognized executable file type.

  - ScriptTimedOut: The specified script did not finish running in the specified time period.

  - ScriptFailed: The specified script failed to run as expected.

  - UnknownError: The specified script did not run for an unknown reason.

See Also:
  `LifecycleErrorCode`

#### withErrorCode

    public Diagnostics withErrorCode(LifecycleErrorCode errorCode)

The associated error code:

- Success: The specified script ran.

- ScriptMissing: The specified script was not found in the specified location.

- ScriptNotExecutable: The specified script is not a recognized executable file type.

- ScriptTimedOut: The specified script did not finish running in the specified time period.

- ScriptFailed: The specified script failed to run as expected.

- UnknownError: The specified script did not run for an unknown reason.

Parameters:
  `errorCode` - The associated error code:

  - Success: The specified script ran.

  - ScriptMissing: The specified script was not found in the specified location.

  - ScriptNotExecutable: The specified script is not a recognized executable file type.

  - ScriptTimedOut: The specified script did not finish running in the specified time period.

  - ScriptFailed: The specified script failed to run as expected.

  - UnknownError: The specified script did not run for an unknown reason.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LifecycleErrorCode`

#### setScriptName

    public void setScriptName(String scriptName)

The name of the script.

Parameters:
  `scriptName` - The name of the script.

#### getScriptName

    public String getScriptName()

The name of the script.

Returns:
  The name of the script.

#### withScriptName

    public Diagnostics withScriptName(String scriptName)

The name of the script.

Parameters:
  `scriptName` - The name of the script.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMessage

    public void setMessage(String message)

The message associated with the error.

Parameters:
  `message` - The message associated with the error.

#### getMessage

    public String getMessage()

The message associated with the error.

Returns:
  The message associated with the error.

#### withMessage

    public Diagnostics withMessage(String message)

The message associated with the error.

Parameters:
  `message` - The message associated with the error.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLogTail

    public void setLogTail(String logTail)

The last portion of the diagnostic log.

If available, AWS CodeDeploy returns up to the last 4 KB of the diagnostic log.

Parameters:
  `logTail` - The last portion of the diagnostic log.

  If available, AWS CodeDeploy returns up to the last 4 KB of the diagnostic log.

#### getLogTail

    public String getLogTail()

The last portion of the diagnostic log.

If available, AWS CodeDeploy returns up to the last 4 KB of the diagnostic log.

Returns:
  The last portion of the diagnostic log.

  If available, AWS CodeDeploy returns up to the last 4 KB of the diagnostic log.

#### withLogTail

    public Diagnostics withLogTail(String logTail)

The last portion of the diagnostic log.

If available, AWS CodeDeploy returns up to the last 4 KB of the diagnostic log.

Parameters:
  `logTail` - The last portion of the diagnostic log.

  If available, AWS CodeDeploy returns up to the last 4 KB of the diagnostic log.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Diagnostics clone()

Overrides:
  `clone` in class `Object`